<script type="text/javascript" src="/js/cubix-ui-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-tip-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-button-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-shadow-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-popup-v3.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-grid-v2.0.source.js"></script>
<script type="text/javascript" src="/js/datepicker.js"></script>

<script type="text/javascript" src="/js/mootabs1.2.js"></script>
<script type="text/javascript" src="/js/password-meter.js"></script>

<script type="text/javascript" src="/js/autocompleter/Observer.js"></script>
<script type="text/javascript" src="/js/autocompleter/Autocompleter.js"></script>
<script type="text/javascript" src="/js/autocompleter/Autocompleter.Request.js"></script>

<script type="text/javascript" src="/js/fancyupload/Swiff.Uploader.js"></script>
<script type="text/javascript" src="/js/fancyupload/Fx.ProgressBar.js"></script>
<script type="text/javascript" src="/js/fancyupload/FancyUpload2.js"></script>
<script type="text/javascript" src="/js/fancyupload/FancyUpload3.Attach.js"></script>

<script type="text/javascript" src="/js/escort-rates.js"></script>
<script type="text/javascript" src="/js/cubix-selectbox.js"></script>

<script type="text/javascript" src="/js/cubix-uploader-v1.0.source.js"></script>

<script type="text/javascript" src="/js/escort-photos.js?v=2"></script>
<script type="text/javascript" src="/js/tiny_mce/tiny_mce.js"></script>

<script type="text/javascript" src="/js/moo-uploader.js"></script>
<script type="text/javascript" src="/js/video-modal.js"></script>

<script type="text/javascript" src="/js/new-mooUpload.js"></script>


<style type="text/css">
    @import url('/css/Autocompleter.css');
</style>
<style>
    #form-upload1 {
        padding-left: 2px;
        padding-top: 12px;
        width: 600px;
    }

    #form-upload1 input{
        width: 20px;
        margin-top: 1px;
        margin-bottom: 1px;
        float: left;
    }
</style>

<?php echo $this->headLink()->prependStylesheet($this->baseUrl() . '/css/passwordmeter.css') ?>
<? $this->headLink()->prependStylesheet($this->baseUrl() . '/css/moo-uploader/style1.css') ?>
<? $this->headLink()->prependStylesheet($this->baseUrl() . '/css/mooUpload-style.css') ?>

<? $bu_user = Zend_Auth::getInstance()->getIdentity(); ?>

<? $langs = Cubix_I18n::getLangs(true) ?>
<?php foreach ($langs as $lang):?>
<?php $lngs[] = "body_" . $lang; ?>
<?php endforeach; ?>
<?php $editLangs = ($this->request()->application_id); ?>
<?php foreach ($editLangs as $e_lang):?>
<?php $e_lngs[] = "e_body_" . $e_lang->lang_id; ?>
<?php endforeach; ?>
<?php $curLng = Cubix_I18n::getLang(); ?>

<script type="text/javascript">

    function followUpChecked(obj)
    {
		var issue_id = $('issue_id').get('value');
        var follow_up_checked = 0;

        if(obj.checked)
        {
            follow_up_checked = 1;
        }

        new Request({
            url: '/issues/set-follow-up?id=' + issue_id + '&followup=' + follow_up_checked,
            onSuccess: function (resp) {
                this.close();
                grid.load();
            }.bind(this)
        }).send();
    }

Cubix.ready = function () {
        new Cubix.Shadow($('content'));
	
	var getFilterParams = function () {
		var uri = new URI('?' + $$('form')[0].toQueryString());
		return uri.get('data');
	};
	
	var gData = '';

	var popup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Close Issue', icon: 'accept', klass : 'close_issue_btn', action: function () {
				if ( confirm('Are you sure you want to close this issue?') ) {

					
					new Request({
						url: '/issues/set-status?id=' + this.id + '&status=<?= Model_Issues::STATUS_TICKET_CLOSED ?>&user_id=' + this.user_id,
						onSuccess: function (resp) {
							this.close();
							grid.load();
						}.bind(this)
					}).send();
				}				
			} },
			<? if ( Cubix_Application::getId() == APP_EF ): ?>
			{ caption: 'Closed & Disable P.A.', icon: 'cancel', klass : 'c_disable', action: function () {
				if ( confirm('Are you sure you want to close and disable in P.A. this issue ?') ) {

					new Request({
						url: '/issues/set-pa-status?id=' + this.id + '&status=<?= Model_Issues::STATUS_TICKET_CLOSED ?>&user_id=' + this.user_id + '&ps_status=1',
						onSuccess: function (resp) {
							this.close();
							grid.load();
						}.bind(this)
					}).send();
				}
			} },
			{ caption: 'Open & Enable P.A.', icon: 'accept', klass : 'o_enable', action: function () {
				if ( confirm('Are you sure you want to open and enable in P.A. this issue ?') ) {

					new Request({
						url: '/issues/set-pa-status?id=' + this.id + '&status=<?= Model_Issues::STATUS_TICKET_OPENED ?>&user_id=' + this.user_id + '&ps_status=0',
						onSuccess: function (resp) {
							this.close();
							grid.load();
						}.bind(this)
					}).send();
				}				
			} },
			<? endif; ?>
			{ caption: 'Close', icon: 'cancel', action: function(){
				this.close();
				grid.load();
			} }
		],
		width: 690
	});
	
	window.popup = popup;
	var salseWorkPopup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 900,
		zIndex: function () { return Cubix.Popup.zIndex + 5 }
	});
	window.salseWorkPopup = salseWorkPopup;

	var closeIssueBtn = popup.popup.getElement('.cx-popup-action-bar').getLast('.cx-button').setStyle('margin-right', '30px');
	var cDisableBtn = popup.popup.getElement('.cx-popup-action-bar').getLast('.c_disable');
	var oEnableBtn = popup.popup.getElement('.cx-popup-action-bar').getLast('.o_enable');


	var memberPopup = window.memberPopup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Save', icon: 'accept', action: Cubix.Popup.Actions.SaveValid },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 690,
		zIndex: function () { return Cubix.Popup.zIndex + 30 }
	});
	
	var createPopup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Save', icon: 'accept', action: function () {
				tinyMCE.triggerSave();		
				(Cubix.Popup.Actions.SaveValid.bind(createPopup))(function () {
					grid.load();
				});
			} },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: <?= in_array(Cubix_Application::getId(),array(APP_ED))? 648: 480 ?>
		
	});
	
	createPopup.addEvent('close', function (e) {
		if ( $defined($('create-ticket')) ) {
			$('create-ticket').destroy();
		}
	});
	memberPopup.addEvent('loaded', function () {
		new Picker.Date('input[name=date_expires]', { pickerClass: 'datepicker',
			positionOffset: { x: -10, y: 0 }, allowEmpty: true, format: 'd M Y' });

		$('country').addEvent('change', function() {
			var country = this;

			$('city').set('disabled', 'disabled');
			new Request({
				url: '<?= $this->baseUrl() ?>/geography/cities/ajax-get-cities-grouped?country_id=' + this.get('value'),
				method: 'get',
				onSuccess: function (resp) {
					$('city').set('html', resp);
					$('city').set('disabled', '');
				}
			}).send();
		});
		
		if ( $$('.ip-opener')[0] ){
			if($$('.ip-info')[0].getElement('.ip-opener')){
				$$('.ip-info')[0].getElement('.ip-opener').addEvent('click', function(){
						$$('.ip-info-box').setStyle('display','block');
				});
				$$('.ip-info')[0].getElement('.close').addEvent('click', function(){
						$$('.ip-info-box').setStyle('display','none');
				});
			}
		}
		
		/**************************************/
		<? if (Cubix_Application::getId() == APP_EF): ?>
		new Cubix.Button($('btn-disable-reviews'), { onClick: function () {
			disable_popup.setTitle('Reason for disabling reviews'),
			disable_popup.load('<?= $this->baseUrl() ?>/members/disable-rev-com?act=review&user_id=' + $('member').getElement('input[name=user_id]').get('value'), disable_popup.open);
		}, icon: 'delete', caption: 'Disable Reviews' });
	
		new Cubix.Button($('btn-disable-comments'), { onClick: function () {
			disable_popup.setTitle('Reason for disabling comments'),
			disable_popup.load('<?= $this->baseUrl() ?>/members/disable-rev-com?act=comment&user_id=' + $('member').getElement('input[name=user_id]').get('value'), disable_popup.open);
		}, icon: 'delete', caption: 'Disable Comments' });
	
		new Cubix.Button($('btn-disable-reviews-comments'), { onClick: function () {
			disable_popup.setTitle('Reason for disabling reviews / comments'),
			disable_popup.load('<?= $this->baseUrl() ?>/members/disable-rev-com?act=review_comment&user_id=' + $('member').getElement('input[name=user_id]').get('value'), disable_popup.open);
		}, icon: 'delete', caption: 'Disable Reviews / Comments' });
						
		var disable_popup = new Cubix.Popup.Ajax({
			abar: [
				{ caption: 'Disable', icon: 'delete', action: function () {
					new Request({
						url: "<?= $this->baseUrl() ?>/members/disable-rev-com",
						method: 'post',
						data: {
							'user_id': $('dis_rev_com').getElement('input[name=d_user_id]').get('value'),
							'act': $('dis_rev_com').getElement('input[name=d_act]').get('value'),
							'disable_type': $$('input[name=d_disable_type]:checked')[0].get('value'),
							'reason': $('dis_rev_com').getElement('textarea[name=d_reason]').get('value')
						},
						onSuccess: function (resp) {
							resp = JSON.decode(resp);

							if (resp.status == 'error')
								$('reason').getParent().addClass('error');
							else if (resp.status == 'success')
								disable_popup.close();
						}
					}).send();
				} }
			],
			width: 400,
			zIndex: function () { return Cubix.Popup.zIndex + 50 }
		});
		<? endif; ?>
		/********************************************/
	});


	/* Agency and Escort popups data */
	window.EscortsKeyboard = new Keyboard({
		defaultEventType: 'keydown',
		events: {
			'pageup': function (e) {
				e.stop();
				var content = window.EscortPopup.content,
					current = content.getElement('.mootabs_title li.active'),
					tabs = content.tabs;

				var target = current.getPrevious();
				if ( ! target ) target = content.getElement('.mootabs_title').getLast('li');

				tabs.activate(target);
			},
			'pagedown': function (e) {
				e.stop();
				var content = window.EscortPopup.content,
					current = content.getElement('.mootabs_title li.active'),
					tabs = content.tabs;

				var target = current.getNext();
				if ( ! target ) target = content.getElement('.mootabs_title').getFirst('li');

				tabs.activate(target);
			}
		}
	}).deactivate();

	var popupClose = function(popup) {
		if ( popup.__mode == 'edit' ) {
			var old_data = window.popup_data;
			var new_data = popup.content.getElement('.form-common').toQueryString();
			/*console.log(old_data);
			console.log('ppppppppppppppppppppppp');
			console.log(new_data);*/
			/*if ( old_data != new_data ) {
				if ( confirm('Close without saving changes ?') ) {
					popup.close();
					//grid.load();
				}
			}
			else {*/
				popup.close();
				/*grid.load();
			}*/

		} else {
			popup.close();
		}
	};
	window.popupClose = popupClose;

	// --> Agency popup <--
	var agencyPopup = window.AgencyPopup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Save', icon: 'accept', action: Cubix.Popup.Actions.SaveValid },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 820/*,
		zIndex: function () { return Cubix.Popup.zIndex + 22 }*/
	});

	agencyPopup.addEvent('loaded', function () {


		var ag_self = this;

		new mootabs('agency-tabs', { width: null, height: 'auto' });

		var escorts_grid = Cubix.Grid.Instance = new Cubix.Grid('cx-escort-grid-a', {
			identifier: { field: 'id' },
			debug: true,
			header: [
				{ title: 'Showname', field: 'showname', type: 'EscortLink', sortable: true, width: '140px' },
				{ title: 'Status', field: 'status', type: 'string', sortable: true, width: '140px' },
				{ title: 'Phone', field: 'contact_phone_parsed', type: 'string', sortable: true, width: '140px' },
				{ title: 'Email', field: 'contact_email', type: 'Email', sortable: true, width: '140px' },
				{ title: 'Package', field: 'active_package', type: 'ActivePackage', sortable: true, width: '140px' }
			],
			sort: {
				field: 'showname',
				dir: 'asc'
			},
			actions: [ ],
			data: new Cubix.Grid.Loader({ url: '/agencies/escort-list-data?agency_id=' + agencyPopup.agency_id })
		});

		escorts_grid.addEvent('loaded', function () {
			ag_self.content.getElements('.escort-showname').addEvent('click', function (e) {
				e.stop();

				var data = this.getParent('tr').rowData;
				window.EscortPopup.escort_id = data.id;
				window.EscortPopup.showname = data.showname;
				window.EscortPopup.agency_id = data.agency_id;
				window.EscortPopup.agency_name = data.agency_name;
				window.EscortPopup.user_id = data.user_id;
				window.EscortPopup.setTitle('Edit Escort ' + data.showname);
				window.EscortPopup.load('<?= $this->baseUrl() ?>/escorts-v2/edit?id=' + data.id, function () {
					this.open();
				});
			});
		});

		this.content.getElements('input[name=available_24_7]').addEvent('change', function(){
			if ( this.get('checked') ) {
				this.content.getElements('.w_times input').each(function(el){
					el.set('disabled', 'disabled');
					el.set('checked', '');
				});

				this.content.getElements('.w_times select').each(function(el){
					el.set('disabled', 'disabled');
					el.set('value', '');
				});
			}
			else {
				this.content.getElements('.w_times input').each(function(el){
					el.set('disabled', '');
				});
			}
		});

		this.content.getElement('select[name=country_id]').addEvent('change', function() {

			ag_self.content.getElement('select[name=city_id]').set('disabled', 'disabled');
			new Request({
				url: '<?= $this->baseUrl() ?>/geography/cities/ajax-get-cities-grouped?country_id=' + this.get('value'),
				method: 'get',
				onSuccess: function (resp) {
					ag_self.content.getElement('select[name=city_id]').set('html', resp);
					ag_self.content.getElement('select[name=city_id]').set('disabled', '');
				}
			}).send();
		});

		// Escort Comments Section
		chOverlay = new Cubix.Overlay($('agency-comment-history-body').getParent(), { showLoader: true });
		new Cubix.Button($('btn-escort-comments-add'),{
			onClick: function() {
				addEscortComments();
			},
			classes: 'cx-button-style1',
			icon: 'add',
			caption: 'Add Comment'
		});
		initCommentsHistory(1);

		// END COMMENTS Section
	
		window.EscortPopup.close();
	});
	// <-- Agency popup -->

	var ePpopup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Sales Work', icon: 'page_add', action: function () {
				openSalesPopup();
			} },
			{ caption: 'Place New Order', icon: 'add', action: function () {
				openOrderPopup();
			} },
			{ caption: 'Save', icon: 'accept', action: function () {
				tinyMCE.triggerSave();	
				(Cubix.Popup.Actions.SaveValid.bind(ePpopup))(function (result) {
					grid.load();
					if ( 'create' == ePpopup.__mode ) {
						if ( confirm('Do you want to edit photos of this escort?') ) {
							window.PhotosPopup.setTitle('Photos of Escort');
							window.PhotosPopup.escort_id = result.escort_id;
							window.PhotosPopup.load('<?= $this->baseUrl() ?>/escorts-v2/photos?id=' + result.escort_id, function () {
								this.open();
							});
						}
					}
				});
			} },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close/*function() {
				popupClose(popup);
			}*/ }
		],
		width: 950,
		zIndex: function () { return Cubix.Popup.zIndex + 4 }
	});
		
	var openSalesPopup = function() {
		salseWorkPopup.setTitle('Sales Work - ' + window.EscortPopup.showname);
		salseWorkPopup.escort_id = window.EscortPopup.escort_id;
		salseWorkPopup.load('<?= $this->baseUrl() ?>/escorts-v2/sales-work?user_id=' + window.EscortPopup.user_id + '&escort_id=' + window.EscortPopup.escort_id, function () {
			this.open();
		});
	};

	var addOrderButton = ePpopup.popup.getElement('.cx-popup-action-bar').getLast('.cx-button').setStyle('margin-right', '30px');

	window.EscortPopup = ePpopup;

	ePpopup.addEvent('close', function (e) {
		window.EscortsKeyboard.deactivate();
	});

	var OrdersPopup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Save & Add Transfer', icon: 'add', action: function () {
				Cubix.Popup.Actions.SaveValid.bind(this)(function (resp) {
					this.fireEvent('addOrder', [resp.order_id]);
				});
			} },
			{ caption: 'Save', icon: 'accept', action: Cubix.Popup.Actions.SaveValid },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 1100,
		zIndex: function () { return Cubix.Popup.zIndex + 20 }
	});


	var PackagesPopup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Add', icon: 'add', action: function () {
				var old_instance = Cubix.Grid.Instance;
				Cubix.Grid.Instance = window.OrderPackagesGrid;
				(Cubix.Popup.Actions.SaveValid.bind(this))(function () {
					Cubix.Grid.Instance = old_instance;
				});
			} },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 950,
		zIndex: function () { return Cubix.Popup.zIndex + 30 }
	});

	var openOrderPopup = function() {
		window.PackagesPopup = PackagesPopup;
		window.OrderPopup = OrdersPopup;

		if ( ! window.EscortPopup.agency_id ) {
			OrdersPopup.setTitle('Create New Order for Escort ' + window.EscortPopup.showname);
			OrdersPopup.load('/billing/orders/create?type=escort&id=' + window.EscortPopup.escort_id + '&name=' + window.EscortPopup.showname, function () {
				this.open();
			});
		}
		else {
			OrdersPopup.setTitle('Create New Order');
			OrdersPopup.load('/billing/orders/create?type=agency&id=' + window.EscortPopup.agency_id + '&name=' + window.EscortPopup.agency_name, function () {
				this.open();
			});
		}
	};

	var popup_sms = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Send', icon: 'msg_send', action: Cubix.Popup.Actions.SaveValid },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 390,
		zIndex: function () { return Cubix.Popup.zIndex + 12 }
	});
	window.SmsPopup = popup_sms;

	window.SmsPopup.addEvent('loaded', function () {		
		if ($('sms_template'))
			$('sms_template').addEvent('change', function(e) {
				e.stop();

				var id = $('sms_template').get('value');
				new Request({
					url: '<?= $this->baseUrl() ?>/sms/index/template?id=' + id,
					onSuccess: function (resp) {
						$('text').set('value', resp);
					}.bind(this)
				}).send();
			});
	});
	
	var qEmail = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Send', icon: 'msg_send', action: Cubix.Popup.Actions.SaveValid },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 390,
		zIndex: function () { return Cubix.Popup.zIndex + 12 }
	});
	window.qEmail = qEmail;
	
	window.qEmail.addEvent('loaded', function () {		
		if ($('email_template'))
			$('email_template').addEvent('change', function(e) {
				e.stop();

				var id = $('email_template').get('value');
				new Request({
					url: '<?= $this->baseUrl() ?>/sms/emailtemplates/get?id=' + id,
					onSuccess: function (resp) {
						resp = JSON.decode(resp);
						$('from').set('value', resp.from);
						$('subject').set('value', resp.subject);
						$('message').set('html', resp.body);
						$('email_signature').set('html', resp.signature);
					}.bind(this)
				}).send();
			});
	});
	
	var photos_popup = new Cubix.Popup.Ajax({
		width: 896,
		zIndex: function () { return Cubix.Popup.zIndex + 14 }
	});

	window.PhotosPopup = photos_popup;

	photos_popup.addEvent('loaded', function () { new Escort.Photos(photos_popup); });
	/* Agency and Escort popups data */


	popup.addEvent('close', function () {
		tinymce.execCommand('mceRemoveControl', true, 'comment');
	});

	popup.addEvent('loaded', function () {
		var self = this;
        <?if (Cubix_Application::getId() == APP_ED): ?>
		$$('.i-templates').each(function (el,indx){
            el.addEvent('change', function(e) {
                var id = this.get('value');
                var lng = this.get('data-lang');

                new Request({
                    url: '/system/issue-templates/ajax-get?id=' + id,
                    onSuccess: function (resp) {
                        var resp = JSON.decode(resp);
                        var str = "";
                        if(resp){
                            var str = resp['comment_'+lng] + '<br/><br/>' + resp['signature_'+lng];
                        }
                        <?foreach ($langs as $lng):?>
                        tinyMCE.get('comment_<?= $lng ?>').setContent('');
                        if (lng != '<?= $lng ?>')
                        {
                            $('i-templates_<?= $lng ?>').set('value','');
                        }
                        <?endforeach;?>
                        tinyMCE.get('comment_'+lng).setContent(str);
                    }.bind(popup)
                }).send();
            });
        })
        <?else:?>
        self.content.getElement('#i-templates').addEvent('change', function() {
            var id = self.content.getElement('#i-templates').get('value');
                new Request({
                    url: '/system/issue-templates/ajax-get?id=' + id,
                    onSuccess: function (resp) {
                        var resp = JSON.decode(resp);
                        var str = "";
                        if(resp){
                            var str = resp.comment + '<br/><br/>' + resp.signature;
                        }
                        tinyMCE.get('comment').setContent(str);
                    }.bind(popup)
                }).send();
		});
        <?endif;?>

        if (popup.status_progress == 1)
		{
			new Request({
					url: '/issues/set-progress-status?id=' + popup.id + '&status=2'
					
				}).send();
		}
		
		tinyMCE.init({
			mode : "textareas",
			theme : "advanced",
			
			plugins: "emotions,advhr,preview,paste",
			theme_advanced_toolbar_location	  : "top",
			theme_advanced_toolbar_align	  : "left",
			editor_selector : 'issue-comment',
			theme_advanced_buttons1 : "bold,italic,underline,strikethrough,|,undo,redo,|,pastetext,pasteword,emotions,code,preview",
			theme_advanced_buttons2 : "",
			theme_advanced_buttons3_add : "",
			relative_urls : false,
			convert_urls : true,
			forced_root_block : false,
			force_br_newlines : true,
			force_p_newlines : false
		});
		
		/**
		* Uploader instance
		*/

        var up = new MooUpload1('filecontrol1', {
            action: '<?= $this->baseUrl() ?>/issues/add-attached-files',
            method: 'auto',
            autostart: true,
            verbose: false,
			blocksize: 999999999,	// Load per one chunk
            onBeforeUpload: function(){
                if($$('div.filename').length) {
                    $('form-upload1').getElement('.progresscont').removeClass('none').fade('in');
                }
            },
            onFileUpload: function(fileindex, response){
                if(response.status == '1') {
                    new Element('input', {type: 'checkbox', 'checked': true, name:'attach[]', value: response.id})
                        .inject($('filecontrol1_delete' + fileindex).getParent().getParent(), 'top');
                } else {
                    $('filecontrol1_file_' + fileindex ).set('html', response.error);
                }
            },
            onFileUploadError: function(filenum, response){
                $('filecontrol1_file_' + filenum ).set('html', response.error);
            },
            onFinishUpload: function() {
                setTimeout(function() {
                    var fxProg = new Fx.Tween($('form-upload1').getElement('.progresscont'),{duration: 2000});
                    fxProg.addEvent('complete', function(){this.element.addClass('none'); });
                    fxProg.start('opacity','100','0');
                }, 2000);
            }

        });
		
		popup.addEvent('close', function (e) {
			if ( $defined($('issue-ticket')) ) {
				$('issue-ticket').destroy();
			}
		});
		
		gData = popup;
        if($('r_escort')){
            $('r_escort').addEvent('click', function (e) {
                e.stop();

                /*var data = this.getParent('tr').rowData;
                EscortPopup.data = data;*/
				window.EscortPopup.setTitle('Edit Escort');
				window.EscortPopup.agency_id = popup.agency_id;
				window.EscortPopup.user_id = popup.user_id;
				window.EscortPopup.escort_id = popup.escort_id;
				window.EscortPopup.showname = popup.showname;
				window.EscortPopup.agency_name = popup.agency_name;
				window.EscortPopup.load('<?= $this->baseUrl() ?>/escorts-v2/edit?id=' + $$('input[name=main_id]')[0].get('value'), function () {
                    this.open();
                });
            });
        }
        if($('r_member')){
            $('r_member').addEvent('click', function (e) {
                e.stop();

                /*var data = this.getParent('tr').rowData;
                EscortPopup.data = data;*/
                memberPopup.setTitle('Edit Member');
                memberPopup.load('<?= $this->baseUrl() ?>/members/edit?id=' + $$('input[name=main_id]')[0].get('value'), function () {
                    this.open();
                });
            });
        }

        if($('r_agency')){
            $('r_agency').addEvent('click', function (e) {
                e.stop();

                /*var data = this.getParent('tr').rowData;
                EscortPopup.data = data;*/
                window.AgencyPopup.setTitle('Edit Agency');
                agencyPopup.agency_id = popup.agency_id;
                window.AgencyPopup.load('<?= $this->baseUrl() ?>/agencies/edit?id=' + $$('input[name=main_id]')[0].get('value'), function () {
                    this.open();
                });
            });
        }

        function removeCommentEvent(){
        	var btn_delete_comment = $$('.btn-delete-comment');
        	if ( btn_delete_comment ) {
		    	btn_delete_comment.addEvent('click', function (e) {
		    		if ( confirm('Are you sure you want to delete this comment?') ) {
			    		e.stop();
			    		var comment_id = this.get('data-id');
			    		var commentsOverlay = new Cubix.Overlay($('comments_wrapper'), { showLoader: true });
			    		commentsOverlay.disable();
			    		new Request({
			    			url: '/issues/ajax-remove-comment?id=' + comment_id,
			    			onSuccess: function(resp){
			    				loadComments();
			    				commentsOverlay.enable();
			    			}
			    		}).send();
			    	}	
		    	});
		    }
        }
        removeCommentEvent();

		var salePersonOverlay = new Cubix.Overlay($('sale-person-box'), { showLoader: true });
		new Cubix.Button($('btn-change-sale-person'), { onClick: function () {
			salePersonOverlay.disable();
			new Request({
					url: '/issues/ajax-change-sales-person?id=' + popup.id + '&backend_user_id=' + $('sale_person').get('value') ,
					onSuccess: function (resp) {
					grid.load();
					salePersonOverlay.enable();
					}
				}).send();
		}, icon: 'accept', caption: 'Change' });
		
		new Cubix.Button($('btn-add-comment'), { onClick: function () {
			var commentsOverlay = new Cubix.Overlay($('comments_wrapper'), { showLoader: true });
			commentsOverlay.disable();
			tinyMCE.triggerSave();
			/*$$('.issue-form')[0].addEvent('submit', function(e){
				e.stop();*/
				new Request({
					url: '/issues/ajax-add-comment?id=' + popup.id + '&user_id=' + popup.user_id,
					data: new URI('?' + $$('.issue-form')[0].toQueryString()).get('data'),
					onSuccess: function (resp) {
						var data = JSON.decode(resp);
						if ( data.status == 'error' ) {
							$$('.issue-comment').getParent('div').addClass('error');
						}
						else {
							$$('.issue-comment').getParent('div').removeClass('error');
							tinyMCE.activeEditor.setContent("");
							$$('li.item').dispose();
							loadComments();
						}
						commentsOverlay.enable();
					}.bind(popup)
				}).send();
			//});
		
		}, icon: 'add', caption: 'Add', classes: 'mt10' });


		var loadComments = function () {
			new Request({
				url: '/issues/ajax-comments-list?id=' + popup.id,
				onSuccess: function (resp) {
					$('comments_wrapper').set('html', resp);
					$$('.issue-comment').getParent('div').removeClass('error');
					$$('.issue-comment').set('value', '');
					removeCommentEvent();
				}.bind(popup)
			}).send();
		};
		
		if ( popup.status == 'disabled' ) {
			cDisableBtn.setStyle('display', 'none');
			oEnableBtn.setStyle('display', 'block');
		} else {
            if(oEnableBtn){
               oEnableBtn.setStyle('display', 'none'); 
            }
			if(cDisableBtn){
                cDisableBtn.setStyle('display', 'block');
            }
		}
		
		if ( popup.status == 'closed' ) {
			closeIssueBtn.setStyle('display', 'none');
		}
		else {
			closeIssueBtn.setStyle('display', 'block');
		}
		
	});

    popup.addEvent('loaded', function () {
        new mootabs('value-tabs', { width: null, height: 'auto' });
        <?php foreach ($editLangs as $e_lang):?>
        <?php if ((Cubix_Application::getId() == APP_ED && !in_array($e_lang->lang_id, array('hu', 'ru', 'pt'))) || Cubix_Application::getId() != APP_ED): ?>
        $('body_<?= $e_lang->lang_id; ?>').addEvent('blur', function() {
            var text_en = $('body_<?= $e_lang->lang_id; ?>').get('value');
            $('prev_body_in_tab_<?= $e_lang->lang_id; ?>').set('html', text_en);
        })
        <?php endif; ?>
        <?php endforeach; ?>
    });

    <?php foreach ($editLangs as $e_lang):?>
    popup.addEvent('loaded', function () {
        new mootabs('value-tabs-<?= $e_lang->lang_id; ?>', { width: null, height: 'auto' });
    });
    <?php endforeach; ?>

	var grid = Cubix.Grid.Instance = new Cubix.Grid('cx-grid', {
		id: 'tickets',
		identifier: { field: 'id' },
		header: [
			<? if(Cubix_Application::getId() == APP_ED && $bu_user->type == 'superadmin' ): ?>
			{title: '<input type="checkbox" id="select-all" />', field: '', type: 'Checkbox', width: '15px'},
			<? endif; ?>
			{ title: 'Ticket #', field: 'id', type: 'number', sortable: true, width: '70px' },
			{ title: 'Username', field: '', sortField: 'username', type: 'UserTypeIssue', sortable: true },
			{ title: 'Subject', field: 'subject', type: 'IssueSubject', sortable: false },
			{ title: 'Message', field: 'message', type: 'string', sortable: false },
			{ title: 'Sales', field: 'first_name', type: 'string', sortable: false},
			<? if(Cubix_Application::getId() != APP_A6 && Cubix_Application::getId() != APP_A6_AT): ?>
			{ title: 'Sent by', field: 'sent_by', type: 'string', sortable: false},
			<? endif; ?>
			{ title: 'Creation Date', field: 'creation_date', type: 'DateTime', sortable: true, width: '110px' },
            <? if(Cubix_Application::getId() == APP_ED): ?>
            { title: 'Last Update', field: 'resolve_date', type: 'DateTime', sortable: true, width: '110px' },
            <? else: ?>
            { title: 'Close Date', field: 'resolve_date', type: 'DateTime', sortable: true, width: '110px' },
            <? endif; ?>
			{ title: '', field: 'status_progress', type: 'IssueStatus', sortable: false },
			{ title: '', field: 'app_title', type: 'ApplicationFlag', sortable: true, width: '1px' }/*,
			{ title: 'Last Location', field: 'last_ip', type: 'string', sortable: true },
			{ title: 'Status', field: 'status', type: 'string', sortable: true },
			{ title: 'Application', field: 'application_title', type: 'string', width: '130px' }*/
		],
		sort: {
			field: 'creation_date',
			dir: 'desc'
		},
		actions: [ 
		<? if ( $bu_user->type == 'superadmin'):?>
		{ type: 'remove', func: function (data) {
			if ( confirm('Are you sure you want to delete this row?') ) {
				this.overlay.disable();
				new Request({
					url: '/issues/remove?id=' + data.id,
					onSuccess: function (resp) {
						this.overlay.enable();
						grid.load();
					}.bind(this)
				}).send();
			}
		} },
		<? else: ?>
		{ type: 'remove', func: function (data) {
			if ( confirm('Are you sure you want to close and disable in P.A. this issue?') ) {
				this.overlay.disable();
				new Request({
					url: '/issues/set-pa-status?id=' + data.id + '&status=<?= Model_Issues::STATUS_TICKET_CLOSED ?>&user_id=' + data.user_id + '&ps_status=1',
					onSuccess: function (resp) {
						this.overlay.enable();
						grid.load();
					}.bind(this)
				}).send();
			}
		} },
		<? endif; ?>
		{ type: 'edit', func: function (data) {
			popup.setTitle('Issue #' + data.id);
			popup.status = data.status;
			popup.status_progress = data.status_progress;
			popup.user_id = data.user_id;
			popup.agency_id = data.agency_id;
			popup.escort_id = data.escort_id;
			popup.showname = data.showname;
			popup.agency_name = data.agency_name;
			popup.id = data.id;
			popup.load('<?= $this->baseUrl() ?>/issues/edit?id=' + data.id, function () {
                this.open();
			});
		} } ],
		data: new Cubix.Grid.Loader({ url: '/issues/data', params: getFilterParams })
	});

	<? if(Cubix_Application::getId() == APP_ED && $bu_user->type == 'superadmin' ): ?>
	grid.addEvent('loaded', function() {
            $('select-all').set('checked', '');
            $('select-all').addEvent('click', function() {
                if ( this.get('checked') )
                {
                    $$('#cx-grid input[type=checkbox]').each(function(it){
                        if ( it.get('id') != 'select-all' )
                            it.set('checked', 'checked');
                    });
                }
                else
                {
                    $$('#cx-grid input[type=checkbox]').each(function(it){
                        if ( it.get('id') != 'select-all' )
                            it.set('checked', '');
                    });
                }
            });
            
            //add event for every row click and  double click
            for (var property in grid.tbody.childNodes) {
              if (grid.tbody.childNodes.hasOwnProperty(property)) {
                
               grid.tbody.childNodes[property].getElements('td.cx-grid-type-string,td.cx-grid-type-number').addEvent('click',function(){
                   var checkbox = this.getPrevious('.cx-grid-type-Checkbox input');
                   if(checkbox.get('checked')){
                        checkbox.set('checked', false);
                   }else{
                        checkbox.set('checked', true);
                   }
               });
              }
            }
        });
<? endif ?>
		
	grid.addEvent('loaded', function () {
			
		$$('.subject').addEvent('click', function (e) {
			e.stop();
			
			var data = this.getParent('tr').rowData;
			
			popup.setTitle('Issue #' + data.id);
			popup.status = data.status;
			popup.user_id = data.user_id;
			popup.agency_id = data.agency_id;
			popup.escort_id = data.escort_id;
			popup.showname = data.showname;
			popup.agency_name = data.agency_name;
			popup.id = data.id;
			popup.load('<?= $this->baseUrl() ?>/issues/edit?id=' + data.id, function () {
				this.open();
			});
		});
		/* Agency and Escort popups data */
		$$('span.user-type-escort a').addEvent('click', function (e) {
			e.stop();

			var data = this.getParent('tr').rowData;
			ePpopup.__mode = 'edit';

			window.EscortPopup.data = data;
			addOrderButton.setStyle('display', 'block')
			window.EscortPopup.setTitle('Edit Escort ' + data.showname);
			window.EscortPopup.load('<?= $this->baseUrl() ?>/escorts-v2/edit?id=' + data.escort_id, function () {
				this.open();
			});
		});

		$$('span.user-type-agency a').addEvent('click', function (e) {
			e.stop();

			var data = this.getParent('tr').rowData;

			window.AgencyPopup.setTitle('Edit Agency');
			window.AgencyPopup.agency_id = data.agency_id;
			window.AgencyPopup.sales_user_id = data.sales_user_id;
			window.AgencyPopup.load('<?= $this->baseUrl() ?>/agencies/edit?id=' + data.agency_id, function () {
				this.open();
			});

		});

		$$('span.user-type-member a').addEvent('click', function (e) {
			e.stop();

			var data = this.getParent('tr').rowData;

			window.memberPopup.setTitle('Edit Member');
			//window.memberPopup.member_id = data.member_id;
			window.memberPopup.load('<?= $this->baseUrl() ?>/members/edit?id=' + data.user_id, function () {
				this.open();
			});

		});
	});

	createPopup.addEvent('loaded', function () {
        tinyMCE.init({
            mode : "textareas",
            theme : "advanced",

            plugins: "emotions,advhr,preview,paste",
            theme_advanced_toolbar_location	  : "top",
            theme_advanced_toolbar_align	  : "left",
            editor_selector : 'issue-comment',
            theme_advanced_buttons1 : "bold,italic,underline,strikethrough,|,undo,redo,|,pastetext,pasteword,emotions,code,preview",
            theme_advanced_buttons2 : "",
            theme_advanced_buttons3_add : "",
            relative_urls : false,
            convert_urls : true,
            forced_root_block : false,
            force_br_newlines : true,
            force_p_newlines : false
        });
        <?if (Cubix_Application::getId() == APP_ED): ?>

        new mootabs('value-tabs-create', { width: null, height: 'auto' });
        <?php foreach ($editLangs as $e_lang):?>
        <?php if ((Cubix_Application::getId() == APP_ED && !in_array($e_lang->lang_id, array('hu', 'ru', 'pt'))) || Cubix_Application::getId() != APP_ED): ?>
        $('body_<?= $e_lang->lang_id; ?>').addEvent('blur', function() {
            var text_en = $('body_<?= $e_lang->lang_id; ?>').get('value');
            $('prev_body_in_tab_<?= $e_lang->lang_id; ?>').set('html', text_en);
        })
        <?php endif; ?>
        <?php endforeach; ?>

        <?php foreach ($editLangs as $e_lang):?>
            new mootabs('value-tabs-create-<?= $e_lang->lang_id; ?>', { width: null, height: 'auto' });
        <?php endforeach; ?>

        $$('.i-templates').each(function (el,indx){
            el.addEvent('change', function(e) {
                var id = this.get('value');
                var lng = this.get('data-lang');
                new Request({
                    url: '/system/issue-templates/ajax-get?id=' + id,
                    onSuccess: function (resp) {
                        var resp = JSON.decode(resp);
                        var str = "";
                        if(resp){
                            var str = resp['comment_'+lng] + '<br/><br/>' + resp['signature_'+lng];
                        }
                        <?foreach ($langs as $lng):?>
                            tinyMCE.get('comment_create_<?= $lng ?>').setContent('');
                            if (lng != '<?= $lng ?>')
                            {
                                $('i-templates_<?= $lng ?>').set('value','');
                            }
                        <?endforeach;?>
                        tinyMCE.get('comment_create_'+lng).setContent(str);
                    }.bind(popup)
                }).send();
            });
        })
        <?else:?>
        $('i-templates').addEvent('change', function() {
            var id = $('i-templates').get('value');
                new Request({
                    url: '/system/issue-templates/ajax-get?id=' + id,
                    onSuccess: function (resp) {
                        var resp = JSON.decode(resp);
                        var str = "";
                        if(resp){
                            var str = resp.comment + '<br/><br/>' + resp.signature;
                        }
                        console.log();
                        tinyMCE.get('comment').setContent(str);
                    }.bind(popup)
                }).send();
		});
        <?endif;?>

	});
	
	if($('btn-create')){
		new Cubix.Button($('btn-create'), { onClick: function () {
		createPopup.setTitle('Create Ticket'),
		createPopup.load('<?= $this->baseUrl() ?>/issues/create-ticket', popup.open);
	}, icon: 'add', caption: 'Create Ticket' });
	}

	if($('btn-close')){
		new Cubix.Button($('btn-close'), { onClick: function () {
		if(!$$('[name="selected[]"]:checked').length) return alert("Select at least 1");
		
		if ( confirm('Are you sure you want to close ticket(s)?') ) {		
			$$('input[name=selected[]]:checked').get('value').each(function(index, el) {
				new Request({
						url: '/issues/set-status?id=' + index + '&status=<?= Model_Issues::STATUS_TICKET_CLOSED ?>&user_id=' + $('backend_user_id').get('value'),
						onSuccess: function (resp) {
							this.close();
							grid.load();
						}.bind(this)
					}).send();
			});
			// new Request({
			// 	url: '<?= $this->baseUrl() ?>/issues/close-tickets?ids='+ $$('input[name=selected[]]:checked').get('value'),
			// 	onSuccess: function (resp) {
			// 		console.log('test');
			// 	}.bind(this)
			// }).send();
		}	

		// createPopup.setTitle('Close Ticket'),
		// createPopup.load('<?= $this->baseUrl() ?>/issues/close-tickets?ids='+ $$('input[name=selected[]]:checked').get('value'), popup.open);
		}, icon: 'cancel', caption: 'Close Tickets', classes: 'ml20'  });
	}

	

	new Cubix.Button($('btn-refresh'), { onClick: function () {
		grid.load();
	}, icon: 'refresh', caption: 'Search', classes: '' });

	var clearForm = function() {
		var inputs = $$('.c-filter-form')[0].getElements('input');

		inputs.each(function(input) {
			var input_type = input.get('type');
			if ( input_type != 'hidden' ) {
				if ( input_type == 'text' ) {
					input.set('value', '');
				}
				else {
					input.set('checked', '');
				}
			}
		});

		var selects = $$('.c-filter-form')[0].getElements('select');

		selects.each(function(select) {
			select.set('value', '');
		});
	};

	new Cubix.Button($('btn-reset'), { onClick: function () {
		clearForm();
		grid.load();
	}, icon: 'undo', caption: 'Reset Form', classes: 'ml20' });

	var initFormSubmit = function() {
		var inputs = $$('.c-filter-form')[0].getElements('input');

		inputs.each(function(input) {
			var input_type = input.get('type');

			if ( input_type != 'hidden' ) {
				if ( input_type == 'text' ) {
					input.addEvent('keyup', function(event) {
						if( event.key == 'enter' ) {
							grid.load();
						}
					});
				}
				else {
					input.addEvent('change', function(){
						grid.load();
					});
				}
			}
		});

		var selects = $$('.c-filter-form')[0].getElements('select');

		selects.each(function(it) {
			if ( it.get('name') != 'filter_by' && it.get('name') != 'dates_defined' ) {
				it.addEvent('change', function(){
					grid.load();
				});
			}
		});
	};

	// Comments Section
	/*var initCommentsHistory = function(page){
		chOverlay.disable();
		new Request({
			url: '<?= $this->baseUrl() ?>/escorts-v2/ajax-comments-history?agency_id='+ window.AgencyPopup.agency_id +'&page='+ page,
			method: 'get',
			onSuccess: function (resp) {
				$('agency-comment-history-body').set('html',resp);
				chOverlay.enable();

			}
		}).send();
		return false;
	}


	var addEscortComments = function(){
			chOverlay.disable();
			var freeComment = $('free_comment').get('value');
			var errorDiv = $('free_comment').getParent(".inner");
			if( freeComment == "" ){
				if(!errorDiv.hasClass('error')){
					errorDiv.addClass('error');
					new Element('strong', {
							html: 'Required'
							}).inject(errorDiv, 'top');
				}
				chOverlay.enable();
				return false;
			}
			if(errorDiv.hasClass('error')){
				errorDiv.removeClass('error');
				errorDiv.getElement('strong').destroy();
			}

			var rememberMe = $('due_date').get('value');

			var commentData = {
				agency_id: window.AgencyPopup.agency_id,
				sales_user_id: window.AgencyPopup.sales_user_id,
				comment: freeComment,
				remember_me: rememberMe
			}
			new Request({
				url:'<?= $this->baseUrl() ?>/escorts-v2/ajax-add-comments',
				method: 'post',
				data: commentData,
				onSuccess: function(){
					initCommentsHistory(1);
				}
			}).send();
		}
*/
	// END COMMENTS SECTION
	
	initFormSubmit();
};
</script>
<input id="backend_user_id" type="hidden" name="backend_user_id" value="<?= $bu_user->id ?>">
<div class="form-common gray c-filter-form">
	<form>
		<fieldset class="inner mb10">
			<legend>Personal</legend>

			<div class="inner">
				<label for="ticket_number">Ticket #</label>
				<input id="ticket_number" type="text" class="txt w10" name="ticket_number" value="<?= $this->filter_params['ticket_number'] ?>" />
			</div>

			<div class="inner">
				<label for="username">Username</label>
				<input id="username" type="text" class="txt w18" name="username" value="<?= $this->filter_params['username'] ?>" />
			</div>
			
			<div class="clear"></div>
			<div class="inner">
				<label for="escort_id">Escort ID</label>
				<input id="escort_id" type="text" class="txt w10" name="escort_id" value="<?= $this->filter_params['escort_id'] ?>" />
			</div>
            <?php
            if(Cubix_Application::getId() == APP_ED){
                ?>
                <div class="inner">
                    <label for="escort_id">To Follow up</label>
                    <select name="filter_follow_up" class="w14">
                        <option value="">- any -</option>
                        <option <?=($this->filter_params['filter_follow_up'] == 1) ? "selected" : ""?> value="1">To follow up</option>
                        <option <?=($this->filter_params['filter_follow_up'] == 2) ? "selected" : ""?> value="2">No follow up</option>
                    </select>
                </div>
            <?php
            }
            ?>

			<div class="clear"></div>
		</fieldset>
	

		<fieldset class="inner mb10" style="height:117px">
			<legend>Status</legend>
			<?php $DEFINITIONS = Zend_Registry::get('defines');?>
			<div class="inner">
				<label for="f-application">Application</label>
				<select name="app_id" class="w14" onchange="Cubix.Grid.get('tickets').load()">
					<option value="">- all applications -&nbsp;&nbsp;</option>
					<? foreach ( Cubix_Application::getAll() as $app ): ?>
					<option value="<?= $app->id ?>"  <?= Cubix_Application::getId() == $app->id ? ' selected="selected"' : '' ?> ><?= $app->title ?>&nbsp;&nbsp;</option>
					<? endforeach ?>
				</select>
			</div>
			
			<div class="inner">
				<label for="f-status">Status</label>
				<select name="status" class="txt w12" onchange="Cubix.Grid.get('tickets').load()">
					<option value="">- any -</option>
					<option value="<?= Model_Issues::STATUS_TICKET_OPENED ?>" selected="selected">opened</option>
					<option value="<?= Model_Issues::STATUS_TICKET_CLOSED ?>">closed</option>
				</select>
			</div>
			
			<div class="inner">
				<label for="f-status_progress">Status Progress</label>
				<select name="status_progress" class="txt w12" >
					<option value="">- any -</option>
					<option value="<?= Model_Issues::STATUS_NEW_UNREAD ?>">Unread</option>
					<option value="<?= Model_Issues::STATUS_NOT_REPLIED ?>">Read, not replied</option>
					<option value="<?= Model_Issues::STATUS_READ_REPLIED ?>" >Read, replied</option>
					<option value="<?= Model_Issues::STATUS_NEW_REPLY ?>">New reply waiting</option>
				</select>
			</div>
			
			<div class="clear"></div>
			
						
			<? if( Cubix_Application::getId() == APP_EF ): ?>
			<div class="inner" style="padding-top: 20px;">
				<label><input type="checkbox" name="disabled_in_pa" value="1" /> <span>Disabled in P.A.</span></label>
			</div>
            <? if($bu_user->type != "superadmin") :?>
            <div class="inner" style="padding-top: 20px;">
				<label><input type="checkbox" name="can_close_issue" value="1" /> <span>Can Close.</span></label>
			</div>
			<? endif; ?>
			<? endif; ?>
		</fieldset>
        <?
        if(Cubix_Application::getId() == APP_ED && $bu_user->type === "sales manager") {
            $sales_forbidden = true;
        }
        ?>
        <? if(!$sales_forbidden): ?>
            <fieldset class="inner mb10">
                <legend>Sales Person</legend>
                <div class="inner">
                    <label for="f-sales-person">Sales Person</label>
                    <select name="sales_user_id" id="f-sales-person" class="w10">
                        <option value=""> - any - </option>
                        <? $model = new Model_Moderators(); foreach ( $model->getByApplicationId($this->request()->application_id) as $user ): ?>
                        <option value="<?= $user->id ?>" <?= ($this->filter_params['sales_user_id'] == $user->id) ? 'selected="selected"' : '' ?> ><?= $user->username ?></option>
                        <? endforeach; ?>
                    </select>
                </div>
            </fieldset>
        <? endif; ?>
		<div class="clear"></div>
		
		<a id="btn-refresh"></a>
		<a id="btn-reset"></a>
		<div class="clear"></div>
	</form>
</div><!-- form-common -->

<!--
<div class="mt10 fleft">
	<a id="btn-create"></a>
	<div class="clear"></div>
</div>
-->
<div class="clear"></div>

<style>
	#legend { margin:20px 0 10px 0; border: 1px solid #ccc; width:160px; padding:10px }

	#legend .color-delivered { height: 20px; width:20px; background-color: #EFFFEF; float:left; border: 1px solid #ccc }
	#legend .color-non-delivered { height: 20px; width:20px; background-color: #FFEFF2; float:left; border: 1px solid #ccc }
	#legend .color-buffered { height: 20px; width:20px; background-color: #FFF; float:left; border: 1px solid #ccc }

	#legend .text { float:left; margin:3px 10px 0 3px }
</style>

<? if(Cubix_Application::getId() != APP_A6 && Cubix_Application::getId() != APP_A6_AT): ?>
<div class="mt10 fleft">
	<a id="btn-create"></a>
	<? if( Cubix_Application::getId() == APP_ED ): ?>
		<a id="btn-close"></a>
	<? endif;?>
</div>
<div class="clear"></div>
<? endif;?>
<div id="legend">
	<div class="color-delivered"></div>
	<p class="text"> - Closed</p>

	<div class="color-non-delivered"></div>
	<p class="text"> - Open</p>

	<div class="clear"></div>
</div>

<div id="ajax-dest">
	<div id="cx-grid">
	</div>
</div>
